VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisiMath.Geometry.Ring Class Reference

Ring (or partial ring) object. More...

Inheritance diagram for VisiMath.Geometry.Ring:

List of all members.

## Public Member Functions
| Ring (System.Xml.XmlReader reader)
| XML reader constructor.
| Ring (Vector3 center, float radius, float height, float thickness, int segments=10, float angle=0)
| Constructs new ring of normalvertextype - circle in X/Y plane.
| Ring (Type vertexType, Vector3 center, float radius, float height, float thickness, int segments=10, float angle=0)
| Constructs new ring circle in X/Y plane.
override bool | ContainsPosition (Vector3 pos)
| Checks if specified position is inside the object - point lies on any triangle.
override void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
## Protected Member Functions
void | Construct (Type vertextype, Vector3 center, float radius, float height, float thickness, int segments=10, float angle=0)
void | Construct ()
## Properties
override Vector3 | Center`[get]`
| Center of the object.

## Detailed Description

Ring (or partial ring) object.

## Constructor & Destructor Documentation

VisiMath.Geometry.Ring.Ring | ( | System.Xml.XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

VisiMath.Geometry.Ring.Ring | ( | Vector3 | center,
|  | float | radius,
|  | float | height,
|  | float | thickness,
|  | int | segments = `10`,
|  | float | angle = `0`
| ) |  |

Constructs new ring of normalvertextype - circle in X/Y plane.

Parameters:

  center | Center of the ring
  radius | Radius of the ring
  height | Height of the segment (in Z axis)
  thickness | Thickness of the ring (if zero, only outer shell will be constructed)
  segments | Number of segments
  angle | Total angle. Default 0 means full ring, otherwise only partial piece will be constructed

VisiMath.Geometry.Ring.Ring | ( | Type | vertexType,
|  | Vector3 | center,
|  | float | radius,
|  | float | height,
|  | float | thickness,
|  | int | segments = `10`,
|  | float | angle = `0`
| ) |  |

Constructs new ring circle in X/Y plane.

Parameters:

  center | Center of the ring
  radius | Radius of the ring
  height | Height of the segment (in Z axis)
  thickness | Thickness of the ring (if zero, only outer shell will be constructed)
  segments | Number of segments
  angle | Total angle. Default 0 means full ring, otherwise only partial piece will be constructed
  vertexType | Type of the vertex

## Member Function Documentation

void VisiMath.Geometry.Ring.Construct | ( | Type | vertextype,
|  | Vector3 | center,
|  | float | radius,
|  | float | height,
|  | float | thickness,
|  | int | segments = `10`,
|  | float | angle = `0`
| ) |  | `[protected]`

void VisiMath.Geometry.Ring.Construct | ( |  | ) | `[protected]`

override bool VisiMath.Geometry.Ring.ContainsPosition | ( | Vector3 | pos | ) | `[virtual]`

Checks if specified position is inside the object - point lies on any triangle.

Parameters:

  pos | Position to check

Returns:
  True if vector is inside the object

Reimplemented from VisiMath.Geometry.IndexedQuads.

override void VisiMath.Geometry.Ring.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisiMath.Geometry.IndexedGeo.

override void VisiMath.Geometry.Ring.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Serializes object to XML.

Parameters:

  writer | XML writer to save values

Reimplemented from VisiMath.Geometry.IndexedGeo.

## Property Documentation

override Vector3 VisiMath.Geometry.Ring.Center`[get]`

Center of the object.

Reimplemented from VisiMath.Geometry.Geometry.

The documentation for this class was generated from the following file:

- Ring.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events